<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Magazine Palace
	 * @since Magazine Palace 1.0.0
	 */

	/**
	 * magazine_palace_doctype hook
	 *
	 * @hooked magazine_palace_doctype -  10
	 *
	 */
	do_action( 'magazine_palace_doctype' );

?>
<head>
<?php
	/**
	 * magazine_palace_before_wp_head hook
	 *
	 * @hooked magazine_palace_head -  10
	 *
	 */
	do_action( 'magazine_palace_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * magazine_palace_page_start_action hook
	 *
	 * @hooked magazine_palace_page_start -  10
	 *
	 */
	do_action( 'magazine_palace_page_start_action' ); 

	/**
	 * magazine_palace_loader_action hook
	 *
	 * @hooked magazine_palace_loader -  10
	 *
	 */
	do_action( 'magazine_palace_before_header' );

	/**
	 * magazine_palace_header_action hook
	 *
	 * @hooked magazine_palace_header_start -  10
	 * @hooked magazine_palace_site_branding -  20
	 * @hooked magazine_palace_site_navigation -  30
	 * @hooked magazine_palace_header_end -  50
	 *
	 */
	do_action( 'magazine_palace_header_action' );

	/**
	 * magazine_palace_content_start_action hook
	 *
	 * @hooked magazine_palace_content_start -  10
	 *
	 */
	do_action( 'magazine_palace_content_start_action' );

	do_action( 'magazine_palace_header_image_action' );
	

    if ( magazine_palace_is_frontpage() ) {
    	$options = magazine_palace_get_theme_options();
    	$sorted = array();
    	if ( ! empty( $options['homepage_sortable'] ) ) {
			$sorted = explode( ',' , $options['homepage_sortable'] );
		}

		foreach ( $sorted as $section ) {
			add_action( 'magazine_palace_primary_content', 'magazine_palace_add_'. $section .'_section' );
		}
		do_action( 'magazine_palace_primary_content' );
	}