<?php 

$wp_customize->add_section( 'magazine_palace_home_layout', array(
	'title'             => esc_html__( 'Home Page Sortable','magazine-palace' ),
	'description'       => esc_html__( 'Home Page option.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_front_page_panel',
    'priority'          => 1, 
) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_sortable]', array(
    'default'             => $options['homepage_sortable'],
    'sanitize_callback'   => 'magazine_palace_sanitize_sortable',
) );

$wp_customize->add_control( new Magazine_palace_Customize_Sortable_Control ( $wp_customize, 'magazine_palace_theme_options[homepage_sortable]', array(
    'label'               => esc_html__( 'Sortable Homepage', 'magazine-palace' ),
    'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'magazine-palace' ),
    'section'             => 'magazine_palace_home_layout',
    'type'                => 'sortable',
    'choices'             => magazine_palace_sortable_sections(),

) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_inner_sortable]', array(
    'default'             => $options['homepage_inner_sortable'],
    'sanitize_callback'   => 'magazine_palace_sanitize_sortable',
) );

$wp_customize->add_control( new Magazine_palace_Customize_Sortable_Control ( $wp_customize, 'magazine_palace_theme_options[homepage_inner_sortable]', array(
    'label'               => esc_html__( 'Sortable Inner Section', 'magazine-palace' ),
    'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'magazine-palace' ),
    'section'             => 'magazine_palace_home_layout',
    'type'                => 'sortable',
    'choices'             => magazine_palace_inner_sortable_sections(),

) ) );



$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_section_gap]', array(
    'default'           => $options['homepage_section_gap'],
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[homepage_section_gap]', array(
    'label'             => esc_html__( 'Sections Gap', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_main_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[homepage_main_container_color]', array(
    'label'    => esc_html( 'Main Container Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_home_layout',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_main_container_top_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[homepage_main_container_top_padding]', array(
    'label'             => esc_html__( 'Main Container Top Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_main_container_bottom_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[homepage_main_container_bottom_padding]', array(
    'label'             => esc_html__( 'Main Container Bottom Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_main_container_left_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[homepage_main_container_left_padding]', array(
    'label'             => esc_html__( 'Main Container Left Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[homepage_main_container_right_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[homepage_main_container_right_padding]', array(
    'label'             => esc_html__( 'Main Container Right Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_home_layout',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );
