<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'magazine_palace_pagination', array(
	'title'               => esc_html__('Pagination','magazine-palace'),
	'description'         => esc_html__( 'Pagination section options.', 'magazine-palace' ),
	'panel'               => 'magazine_palace_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'magazine-palace' ),
	'section'             => 'magazine_palace_pagination',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'magazine_palace_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'magazine_palace_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'magazine-palace' ),
	'section'             => 'magazine_palace_pagination',
	'type'                => 'select',
	'choices'			  => magazine_palace_pagination_options(),
	'active_callback'	  => 'magazine_palace_is_pagination_enable',
) );
