<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'magazine_palace_single_post_section', array(
	'title'             => esc_html__( 'Single Post','magazine-palace' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_theme_options_panel',
) );

$wp_customize->add_setting( 
    'magazine_palace_theme_options_single_post_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_single_post_setting_style',
        array(
            'section'       => 'magazine_palace_single_post_section',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_single_post_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_single_post_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_theme_options[single_post_hide_post_title]', array(
	'default'           => $options['single_post_hide_post_title'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[single_post_hide_post_title]', array(
	'label'             => esc_html__( 'Hide Post Title', 'magazine-palace' ),
	'section'           => 'magazine_palace_single_post_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[single_post_hide_featured_image]', array(
	'default'           => $options['single_post_hide_featured_image'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[single_post_hide_featured_image]', array(
	'label'             => esc_html__( 'Hide Featured Image', 'magazine-palace' ),
	'section'           => 'magazine_palace_single_post_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'magazine-palace' ),
	'section'           => 'magazine_palace_single_post_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'magazine-palace' ),
	'section'           => 'magazine_palace_single_post_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'magazine-palace' ),
	'section'           => 'magazine_palace_single_post_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'magazine-palace' ),
	'section'           => 'magazine_palace_single_post_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );
