<?php
/**
* archive options
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

// Add archive section
$wp_customize->add_section( 'magazine_palace_archive_section_style', array(
    'title'             => esc_html__( 'Archive Style','magazine-palace' ),
    'description'       => esc_html__( 'Archive Style Section options.', 'magazine-palace' ),
    'panel'             => 'magazine_palace_theme_options_panel',
    ) );


$wp_customize->add_setting( 
    'magazine_palace_theme_options_archive_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_archive_setting_style_style',
        array(
            'section'       => 'magazine_palace_archive_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_archive_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_archive_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_theme_options[archive_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[archive_container_color]', array(
    'label'    => esc_html( 'Archive Main Container Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_archive_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[archive_post_cotainer_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[archive_post_cotainer_color]', array(
    'label'    => esc_html( 'Post Container Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_archive_section_style',
) ) );



$wp_customize->add_setting( 'magazine_palace_theme_options[archive_top_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[archive_top_padding]', array(
    'label'             => esc_html__( 'Section Top Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_archive_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[archive_bottom_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[archive_bottom_padding]', array(
    'label'             => esc_html__( 'Section Bottom Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_archive_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[archive_left_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[archive_left_padding]', array(
    'label'             => esc_html__( 'Section Left Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_archive_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[archive_right_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[archive_right_padding]', array(
    'label'             => esc_html__( 'Section Right Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_archive_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

