<?php
/**
* Topbar Section options
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

// Add Topbar section
$wp_customize->add_section( 'magazine_palace_topbar_section', array(
	'title'             => esc_html__( 'Topbar','magazine-palace' ),
	'description'       => esc_html__( 'Topbar Section options.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_theme_options_panel',
	) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'magazine_palace_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'magazine-palace' ),
	'section'           => 'magazine_palace_topbar_section',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );

$wp_customize->add_setting( 
    'magazine_palace_theme_options_topbar_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_topbar_setting_style',
        array(
            'section'       => 'magazine_palace_topbar_section',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_topbar_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_topbar_section_style',
                ),
            ),
        )
    )
);


$wp_customize->add_setting( 'magazine_palace_theme_options[topbar_section_wrapper_enable]', array(
	'default'			=> 	$options['topbar_section_wrapper_enable'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[topbar_section_wrapper_enable]', array(
	'label'             => esc_html__( 'Topbar Wrapper Enable', 'magazine-palace' ),
	'section'           => 'magazine_palace_topbar_section',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );
