<?php
/**
* Banner Post section
*
* This is the template for the content of banner_post section
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

$options = magazine_palace_get_theme_options();

if( $options['banner_post_section_enable'] !== false ):


$content_details = array();

$post_ids = array();

for ( $i = 1; $i <= 3; $i++ ) {
    if ( ! empty( $options['banner_post_content_post_' . $i] ) )
        $post_ids[] = $options['banner_post_content_post_' . $i];
}

$args = array(
    'post_type'         => 'post',
    'post__in'          => ( array ) $post_ids,
    'posts_per_page'    => 3,
    'orderby'           => 'post__in',
    'ignore_sticky_posts'   => true,
    );                    



// Run The Loop.
$query = new WP_Query( $args );
if ( $query->have_posts() ) : 
    while ( $query->have_posts() ) : $query->the_post();
$page_post['id']        = get_the_id();
$page_post['title']     = get_the_title();
$page_post['auth_id']   = get_the_author_meta('ID');
$page_post['url']       = get_the_permalink();
$page_post['excerpt']   = get_the_content();
$page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'post-thumbnail' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg';

// Push to the main array.
array_push( $content_details, $page_post );
endwhile;
endif;
wp_reset_postdata();
?>
<div id="magazine_palace_banner_post_section" class="relative home-section banner-post">
    <?php if ( is_customize_preview()):
        magazine_palace_section_tooltip( 'banner-post-class' );
    endif; ?>
    <?php if ( ! empty( $options['banner_post_title'] ) ) : ?>
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( $options['banner_post_title'] ); ?></h2>
        </div><!-- .section-header -->
    <?php endif; ?>
    <div class="grid col-3">
        <?php foreach ( $content_details as $content ) : ?>
            <article class="grid-item clear">
                <div class="post-express-wrapper">
                    <div class="featured-image" style="background-image: url('<?php echo esc_url( $content['image'] ); ?>');">
                        <div class="overlay"></div>
                    </div>
    
                    <div class="entry-container">
                        <span class="cat-links">
                                <?php the_category( '', '', $content['id'] ); ?>
                            </span>
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>
                        <div class="entry-meta">
                            <?php magazine_palace_posted_on( $content['id'] ); ?>
                            <span class="min-read"><?php echo magazine_palace_time_interval($content['excerpt']); echo esc_html__(' min to read', 'magazine-palace'); ?></span>
                        </div>
                    </div>
                </div>
            </article>
        <?php endforeach; ?>    
    </div>
</div>
<?php endif; ?>

