<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

get_header(); 
?>

<div id="inner-content-wrapper" class="wrapper page-section">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            
				<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'single' );

					/**
					* Hook magazine_palace_action_post_pagination
					*  
					* @hooked magazine_palace_post_pagination 
					*/
					do_action( 'magazine_palace_action_post_pagination' );

					?>
					<div id="related-post" class="relative">
		                <div class="section-header">
		                    <h2 class="section-title"><?php echo esc_html__( 'Related Posts', 'magazine-palace' ) ?></h2>
		                 </div><!-- .seection-header -->
		                 <div class="section-content col-3">
		                    <?php 
		                    	$cat_content_id = array();
		                    	$categories = get_the_category();
		                    	foreach ( $categories as $category ) {
		                    		$cat_content_id[] = $category->term_id;
		                    	}
		                    	$args = array(
						            'cat' => $cat_content_id,   
						        );
		                    	$query = new WP_Query( $args );
							    if ( $query->have_posts() ) {
							        while ( $query->have_posts() ) {
							            $query->the_post();
							    ?>
							    	<article>
							    		<div class="featured-wrapper">
							    			<div class="featured-image">
			                                    <img src="<?php the_post_thumbnail_url(); ?>">
			                                </div><!-- .featured-image -->
			                                <div class="entry-container">
			                                	<span class="cat-links">
													<?php magazine_palace_single_categories(); ?>
												</span><!-- .cat-links -->
			                                    <header class="entry-header">
			                                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>" tabindex="-1"><?php the_title(); ?></a></h2>
			                                    </header>
			                                    <div class="entry-meta">
					                                <?php magazine_palace_posted_on( get_the_id() ) ; ?>
					                                <span class="min-read">
					                                    <?php echo magazine_palace_time_interval( get_the_content() ); echo esc_html__(' min read', 'magazine-palace'); ?>
					                                </span>
					                                
					                            </div>
			                                </div><!-- .entry-container -->
							    		</div>
		                                
		                            </article>
							    <?php
							        }
							        wp_reset_postdata();
							    }
		                    ?>
		                    
		                </div>
		            </div>
					<?php

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.
				?>
			
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php  
	if ( magazine_palace_is_sidebar_enable() ) {
		get_sidebar();
	}
	?>
</div><!-- .page-section -->
<?php
get_footer();
