<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

$options = magazine_palace_get_theme_options();
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
$ids    = get_the_id();
?>
<article <?php post_class( $class ); ?>>
    <?php if ( has_post_thumbnail() ) : ?>
        <div class="featured-image">
            <img src="<?php the_post_thumbnail_url( 'post-thumbnail' ); ?>">
        </div><!-- .featured-image-->
    <?php endif; ?>

    <div class="entry-container">
        <?php if (  ! $options['hide_category'] ): ?>
            <span class="cat-links">
                <?php the_category( '', '', $ids ); ?>
            </span><!-- .cat-links -->
        <?php endif ?>
        
        <header class="entry-header">
            <h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
        </header>

        <div class="entry-content">
            <p><?php the_excerpt(); ?></p>
        </div><!-- .entry-content -->       

        <div class="entry-meta">
            <?php 
                if ( ! $options['hide_author'] ) {
                    echo magazine_palace_author( get_the_author_meta('ID') );
                }
            ?>
            <?php  
            if ( ! $options['hide_date'] ) {
                magazine_palace_posted_on();
            }
            ?>
            <span class="min-read"><?php echo magazine_palace_time_interval(get_the_content()); echo esc_html__(' min to read', 'magazine-palace'); ?></span>
        </div><!-- .entry-meta -->
    </div><!-- .entry-container -->
</article>