<?php
/**
 * Topbar design template
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

$options = magazine_palace_get_theme_options();
$header_txt_logo_extra = $options['header_txt_logo_extra']; 
$header_wrapper_class = $options['header_wrapper_enable'] ? 'wrapper' : '';
?>

<header id="masthead" class="site-header header-one <?php echo $header_wrapper_class ?>" role="banner">
            <div class="site-branding-container">
                <div class="header-image">
                    <div class="header-overlay"></div>
                    <div class="wrapper">
                        <div class="site-branding-wrapper clear">
                            <div class="site-branding">
                                <?php if ( in_array( $header_txt_logo_extra, array( 'show-all', 'logo-title', 'logo-tagline' ) )  ) { ?>
                                    <div class="site-logo">
                                        <?php the_custom_logo(); ?>
                                    </div>
                                <?php } 
                                if ( in_array( $header_txt_logo_extra, array( 'show-all', 'title-only', 'logo-title', 'show-all', 'tagline-only', 'logo-tagline' ) ) ) : ?>
                                    <div id="site-details">
                                        <?php
                                        if( in_array( $header_txt_logo_extra, array( 'show-all', 'title-only', 'logo-title' ) )  ) {
                                            if ( magazine_palace_is_latest_posts() || magazine_palace_is_frontpage() ) : ?>
                                                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                                            <?php else : ?>
                                                <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                                            <?php
                                            endif;
                                        } 
                                        if ( in_array( $header_txt_logo_extra, array( 'show-all', 'tagline-only', 'logo-tagline' ) ) ) {
                                            $description = get_bloginfo( 'description', 'display' );
                                            if ( $description || is_customize_preview() ) : ?>
                                                <p class="site-description"><?php echo esc_html( $description ); /* WPCS: xss ok. */ ?></p>
                                            <?php
                                            endif; 
                                        }?>
                                    </div>
                                <?php endif; ?>
                            </div><!-- .site-branding -->
                            <?php if ( !empty( $options['header_ads_image_2'] ) && !empty( $options['header_ads_url_2'] ) ): ?>
                                <div class="site-advertisement site-advertisement-2">
                                    <a href="<?php echo esc_url( $options['header_ads_url_2'] ) ?>"><img src="<?php echo esc_url( $options['header_ads_image_2'] ) ?>" alt="site-advertisement"></a>
                                </div>
                            <?php endif ?>
                        </div><!-- .site-branding-wrapper  -->                     
                    </div>
                </div><!-- .header-image -->

                <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
                    <?php
                    echo magazine_palace_get_svg( array( 'icon' => 'menu' ) );
                    echo magazine_palace_get_svg( array( 'icon' => 'close' ) );
                    ?>      
                </button>

                <nav id="site-navigation" class="main-navigation" role="navigation" aria-label="Primary Menu">
                    <div class="wrapper">
                        <?php 
                            $search = '';
                            if ( $options['header_search_enable'] ) :
                                $search = '<li class="main-navigation-search">';
                                $search .= get_search_form( $echo = false );
                                $search .= '</li>';
                            endif;

                            $home_icon_hide = !$options['header_home_icon_enable'] ? 'hide' : '';
                         
                            $home_icon = magazine_palace_get_svg( array( 'icon' => 'home' ) );
                            
                            wp_nav_menu( array(
                                'theme_location' => 'primary',
                                'container' => false,
                                'menu_class' => 'menu nav-menu',
                                'menu_id' => 'primary-menu',
                                'echo' => true,
                                'fallback_cb' => 'magazine_palace_menu_fallback_cb',
                                'items_wrap' => '<ul id="%1$s" class="%2$s"><li class="home-icon '.$home_icon_hide.'"><a href='.esc_url( home_url( '/' ) ). '>'.$home_icon.'</li>%3$s' . $search . '</ul>',
                            ) );
                        ?>
                    </div>
                </nav><!-- .main-navigation-->
            </div>
        </header><!-- #masthead -->
