<?php
/**
 * Topbar design template
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

$options = magazine_palace_get_theme_options();
$topbar_wrapper_class = $options['topbar_section_wrapper_enable'] ? 'wrapper' : '';
?>

<div id="top-navigation" class="relative <?php echo $topbar_wrapper_class ?>">
	<button class="menu-toggle" aria-controls="secondary-menu" aria-expanded="false">
	    <?php
			echo magazine_palace_get_svg( array( 'icon' => 'menu' ) );
			echo magazine_palace_get_svg( array( 'icon' => 'close' ) );
		?>
	</button><!-- .menu-toggle -->
    <div class="wrapper">    
        <nav id="secondary-navigation" class="main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Primary Menu', 'magazine-palace' ); ?>">

        	<?php  
        		$social = '';
        		if ( has_nav_menu( 'social' ) ) :
            		$social = '<li class="social-menu-item"><div class="social-icons">';
            		$social .= wp_nav_menu( array(
                            'theme_location' => 'social',
                            'container' => false,
                            'menu_class' => '',
                            'echo' => false,
                            'fallback_cb' => 'magazine_palace_menu_fallback_cb',
                            'depth' => 1,
                            'link_before' => '<span class="screen-reader-text">',
                            'link_after' => '</span>',
                        ) );
            		$social .= '</div></li>';
        		endif;

        		;

        		wp_nav_menu( $defaults = array(
                    'theme_location' => 'secondary',
                    'container' => false,
                    'menu_class' => 'menu nav-menu',
                    'menu_id' => 'secondary-menu',
                    'echo' => true,
                    'fallback_cb' => 'magazine_palace_menu_fallback_cb',
                    'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s' . $social . '</ul>',
                ) );
        	?>

        </nav><!-- .main-navigation-->
    </div>
</div><!-- #top-navigation -->